ViolLua.Optimizations = {
    Config = ViolLua.Config,

    Enabled = false
}

function ViolLua.Optimizations:Valid( Name )
    -- Mostly just here so I don't have to keep writing 'aimbot_optimizations' everywhere.

    return self.Enabled and self.Config[ Name ]
end

function ViolLua.Optimizations:Update( )
    self.Enabled = self.Config[ 'aimbot_optimizations' ]
end

ViolLua.Hooks:New( 'Move', ViolLua.Optimizations.Update, ViolLua.Optimizations )